Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.util
Class Fragments

    java.lang.Object
      jpicedt.ui.util.Fragments

public class Fragments
extends Object

Fragments menu management

Since:
  jPicEdt
Version:
  $Id: Fragments.java,v 1.4.2.1 2007/09/02 11:56:30 reynal Exp $
Author:
  Sylvain Reynal

Constructor Summary
`Fragments()`

Method Summary
`static JMenu` | `createMenu()` Return a JMenu containing a hierarchy of JMenu's and JMenuItem's built from the fragments contained, first in the installation fragment directory, then in the user fragment directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fragments

    public Fragments()

Method Detail

### createMenu

    public static JMenu createMenu()

  Return a JMenu containing a hierarchy of JMenu's and JMenuItem's built from the fragments contained, first in the installation fragment directory, then in the user fragment directory.

  Returns:
    an empty JMenu if no fragments were found in either directory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org